> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tenant Bgp Route Map Rules



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/bgp_route_map_rule
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/bgp_route_map_rule:
    get:
      tags:
        - service - bgp_route_map_rule
      summary: Get All Tenant Bgp Route Map Rules
      operationId: >-
        get_all_tenant_bgp_route_map_rules_service__tenant_name__bgp_route_map_rule_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_BGPRouteMapRule_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_BGPRouteMapRule_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/BGPRouteMapRule'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[BGPRouteMapRule]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BGPRouteMapRule:
      properties:
        id:
          type: integer
          title: Id
        route_map_id:
          type: integer
          title: Route Map Id
        name:
          type: string
          title: Name
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        action:
          $ref: '#/components/schemas/RouteMapAction'
        priority:
          type: integer
          title: Priority
        filters:
          items:
            $ref: '#/components/schemas/PfxListItem'
          type: array
          title: Filters
          default: []
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - id
        - route_map_id
        - name
        - action
        - priority
      title: BGPRouteMapRule
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RouteMapAction:
      type: string
      enum:
        - permit
        - deny
      title: RouteMapAction
    PfxListItem:
      properties:
        ip:
          type: string
          title: Ip
        le:
          anyOf:
            - type: integer
            - type: 'null'
          title: Le
        ge:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ge
        seq:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seq
        match:
          type: boolean
          title: Match
          default: true
      type: object
      required:
        - ip
      title: PfxListItem
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````